#jinja2: lstrip_blocks: "True"
[Unit]
Description=MatrixEmailBot
After=docker.service
Requires=docker.service
DefaultDependencies=no

[Service]
Type=simple
Environment="HOME={{ matrix_systemd_unit_home_path }}"
ExecStartPre=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} kill matrix-emailbot 2>/dev/null || true'
ExecStartPre=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} rm matrix-emailbot 2>/dev/null || true'

ExecStart={{ matrix_host_command_docker }} run --rm --name matrix-emailbot \
			--log-driver=none \
			--user={{ matrix_user_uid }}:{{ matrix_user_gid }} \
			--cap-drop=ALL \
			--read-only \
			--network={{ matrix_docker_network }} \
			-p {{ matrix_bot_email_smtp_host_bind_port }}:25 \
			-p 80:80 \
			{% if matrix_bot_email_host_bind_port %}
			-p {{ matrix_bot_email_host_bind_port }}:80 \
			{% endif %}
			--mount type=bind,src={{ matrix_bot_email_config_dir_path }},dst=/app/config,ro \
			--mount type=bind,source="{{ matrix_bot_email_data_dir_path }}",target={{ matrix_bot_email_storagepath }} \
			{% for arg in matrix_bot_email_container_extra_arguments %}
			{{ arg }} \
			{% endfor %}
			{{ matrix_bot_email_docker_image }}

ExecStop=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} kill matrix-emailbot 2>/dev/null || true'
ExecStop=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} rm matrix-emailbot 2>/dev/null || true'
Restart=always
RestartSec=30
SyslogIdentifier=matrix-emailbot

[Install]
WantedBy=multi-user.target
